[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.SetAsHtml

Puts a HTML string on the clipboard.

## Declaration

Source position: clipbrd.pp line 218

`public procedure TClipboard.SetAsHtml(`
`Html: string`
`); procedure TClipboard.SetAsHtml(`
`Html: string;`
`const PlainText: string`
`);`

## Arguments

`Html` |  | The HTML string that shall be put on the ClipBoard.

## Arguments

`Html` |  | The HTML string that shall be put on the ClipBoard.
`PlainText` |  | Optional plain text (string) representation of the HTML.

## Description

Puts a HTML string on the clipboard. On Windows it will automatically insert a ClipBoard Header. The procedure can also (optionally) set a provided plaintext representation of HTML on the ClipBoard.